import gdal
import json
import sys

if len(sys.argv) < 3:
  print "Required positional arguments: file path, output path."
  exit(1)
else:
  fname = sys.argv[1]
  oname = sys.argv[2]

f = gdal.Open(fname)
band = f.GetRasterBand(1)
ct = band.GetRasterColorTable()
clist = []
for i in range(ct.GetCount()):
    clist.append(list(ct.GetColorEntry(i)))

result = {}
result["colorTable"] = clist

with open(oname, "w") as ofile:
  ofile.write(json.dumps(result))
